Bug 15894 - Sawfish config tree doesn't show '+'s
Sawfish config tree doesn't show '+'s
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-09 18:19 EDT by omega
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-10 10:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description omega 2000-08-09 18:19:41 EDT
On a freshly installed pinstripe machine, the sawfish configurator shows
the list of config pages available, but none of them have the expanders
(+'s) on them until you click on them, at which point they immediately open
up (which is supposed to happen on a double click).
Comment 1 David Mason 2000-08-09 18:29:20 EDT
This is *not* the case with the sawfish on pinstripe in fact the configurator
doesn't use the +'s anymore - they are all MDI windows(tabs) in each
configuration capplet instead of having tree items beneath the parent. I cannot
tell what you mean as this package does not use them anymore... are you sure
this is a fresh install? We have had some upgrade problems from Helix sawfish
packages.
Comment 2 omega 2000-08-09 18:56:25 EDT
I see this behavoir when I click on 'Run Sawfish Configuration' from the Window
Manager tab of the control panel.  It brings up the standalone sawfish
configurator, which is where I see this behaviour.  I just upgraded to the
latest Helix, with no change in behavior.

If this program is depracated, it would be good to find some way to keep the
'Run Configurator' button gray when sawfish is selected, or perhaps set it up so
the button takes the user to the root of the sawfish config pages in the control
panel.
Comment 3 David Mason 2000-08-10 10:23:37 EDT
Aha! yes it does indeed bring up the 'sawfish without GNOME' configuration tool
- we will see if we can't pop you over to the Control Center Capplet instead.
Comment 4 Jonathan Blandford 2001-07-13 17:12:15 EDT
fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.